package com.desfate.chart.data;


import com.desfate.chart.entity.OHLCEntity;
import com.desfate.chart.entity.StickEntity;

import java.util.ArrayList;
import java.util.List;



/**
 * 数据缓冲区
 *
 * @author
 */
public class XChartDatas {
    private List<OHLCEntity> ohlcEntities;// 开高低收缓冲区
    private List<StickEntity> stickEntities;// 柱状图形的高低数据集合

    private int chartSize = 0;// chartSize是报文中的实际大小

    public int getChartSize() {
        return chartSize;
    }

    public void setChartSize(int chartSize) {
        this.chartSize = chartSize;
    }

    public List<StickEntity> getStickEntities() {
        if (stickEntities == null) {
            stickEntities = new ArrayList<StickEntity>();
        }
        return stickEntities;
    }

    public void setStickEntities(List<StickEntity> stickEntities) {
        this.stickEntities = stickEntities;
    }

    public List<OHLCEntity> getOhlcEntities() {
        if (ohlcEntities == null) {
            ohlcEntities = new ArrayList<OHLCEntity>();

        }
        return ohlcEntities;
    }

    public void setOhlcEntities(List<OHLCEntity> ohlcEntities) {
        this.ohlcEntities = ohlcEntities;
    }
}
